Skip to content
Start here

Export as Terraform

magic_cloud_networking.on_ramps.export(stronramp_id, OnRampExportParams**kwargs) -> BinaryResponseContent
POST/accounts/{account_id}/magic/cloud/onramps/{onramp_id}/export

Export an On-ramp to terraform ready file(s) (Closed Beta).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN Write
ParametersExpand Collapse
account_id: str
onramp_id: str
formatuuid
ReturnsExpand Collapse
BinaryResponseContent

Export as Terraform

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.magic_cloud_networking.on_ramps.export(
    onramp_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(response)
content = response.read()
print(content)
Returns Examples